org.apache.tinkerpop.gremlin

## Class TestHelper

- java.lang.Object
- - org.apache.tinkerpop.gremlin.util.TestSupport
  - - org.apache.tinkerpop.gremlin.TestHelper

-     public final class TestHelper
      extends TestSupport

  Utility methods for test development.
  Author:
    Stephen Mallette (http://stephen.genoprime.com) NOTE: This class duplicates the TestHelper class from gremlin-core. One of them must be removed.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Random` | `RANDOM`

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.util.TestSupport

      `TEST_DATA_RELATIVE_DIR`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `assumeNonDeterministic()` Used at the start of a test to make it one that should only be executed when the `assertNonDeterministic` system property is set to `true`.
    `static String` | `convertToRelative(Class clazz, File f)`
    `static void` | `createRandomGraph(Graph graph, int numberOfVertices, int maxNumberOfEdgesPerVertex)`
    `static void` | `validateEdgeEquality(Edge originalEdge, Edge otherEdge)`
    `static void` | `validateEquality(Object original, Object other)`
    `static void` | `validatePropertyEquality(Property originalProperty, Property otherProperty)`
    `static void` | `validateVertexEquality(Vertex originalVertex, Vertex otherVertex, boolean testEdges)`
    `static void` | `validateVertexPropertyEquality(VertexProperty originalVertexProperty, VertexProperty otherVertexProperty)`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.util.TestSupport

      `cleanPathSegment, generateTempFile, generateTempFileFromResource, generateTempFileFromResource, generateTempFileFromResource, getRootOfBuildDirectory, makeTestDataDirectory, makeTestDataFile, makeTestDataFile, makeTestDataPath`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### RANDOM

          public static final Random RANDOM

  - ### Method Detail

    - #### convertToRelative

          public static String convertToRelative(Class clazz,
                                                 File f)

    - #### assumeNonDeterministic

          public static void assumeNonDeterministic()

      Used at the start of a test to make it one that should only be executed when the `assertNonDeterministic` system property is set to `true`. Tests that call this method are ones that may sometimes fail in certain environments or behave in other random ways. Usually such tests should be removed or re-worked, but there are situations where that may not be possible as there is no other good way to test the feature. In these cases, the tests won't fail a standard build. For this benefit, the downside is that the feature isn't tested as often as it would otherwise, since the `assertNonDeterministic` option is not used often and definitely not in automated builds like Travis.

    - #### validateVertexEquality

          public static void validateVertexEquality(Vertex originalVertex,
                                                    Vertex otherVertex,
                                                    boolean testEdges)

    - #### validateVertexPropertyEquality

          public static void validateVertexPropertyEquality(VertexProperty originalVertexProperty,
                                                            VertexProperty otherVertexProperty)

    - #### validatePropertyEquality

          public static void validatePropertyEquality(Property originalProperty,
                                                      Property otherProperty)

    - #### validateEdgeEquality

          public static void validateEdgeEquality(Edge originalEdge,
                                                  Edge otherEdge)

    - #### validateEquality

          public static void validateEquality(Object original,
                                              Object other)

    - #### createRandomGraph

          public static void createRandomGraph(Graph graph,
                                               int numberOfVertices,
                                               int maxNumberOfEdgesPerVertex)

Copyright © 2013–2020 Apache Software Foundation. All rights reserved.